package com.muyu.common.cache.config;

import java.awt.image.Kernel;

/**
 * 缓存基础
 * @ClassName CacheBasic
 * @Description CacheBasic:类的描述
 * @Date 2024/9/30 1:36
 * @author MingWei.Zong
 */

public interface CacheBasic<K,V> extends PrimaryKeyBasic<K>{

    /**
     * 将数据存入车辆缓存
     * @param key
     * @param value
     */
    void putManage(K key,V value);

    /**
     * 获取缓存中故障的数据
     * @param key
     * @return
     */
    V getFault(K key);

    /**
     * 将数据存入故障缓存
     * @param key
     * @param value
     */
    void putFault(K key,V value);

    /**
     * 获取缓存中车辆的数据
     * @param key
     * @return
     */
    V getManage(K key);


    void put(K key,V value);

    V get(K key);

    void remove(K key);


}
