package com.muyu.enterprise.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.web.domain.BaseEntity;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.*;
import lombok.experimental.SuperBuilder;
/**
 * 故障规则
 * @Author: chenruijia
 * @Date 2024/9/28 12.23
 * @Description FaultrRule:故障规则
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "fault_rule",autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@Tag(name = "故障规则")
public class FaultrRule extends BaseEntity {
    /**
     * 故障规则ID
     */
    @TableId(value = "fault_rule_id", type= IdType.AUTO)
    @Schema(defaultValue = "故障规则ID",type = "Long",description = "故障规则ID")
    private Long faultRuleId;
    /**
     * 故障规则名称
     */
    @Schema(defaultValue = "故障规则名称",type = "String",description = "故障规则名称")
    private String faultRuleName;
    /**
     * 故障规则参数
     */
    @Schema(defaultValue = "故障规则参数",type = "String",description = "故障规则参数")
    private String faultRuleParameter;
    /**
     * 故障规则描述
     */
    @Schema(defaultValue = "故障规则描述",type = "String",description = "故障规则描述")
    private String faultRuleDescription;
}
