package com.muyu.enterprise.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.core.utils.StringUtils;
import com.muyu.enterprise.domain.FaultRule;
import com.muyu.enterprise.mapper.FaultrRuleMapper;
import com.muyu.enterprise.service.FaultrRuleService;
import org.springframework.stereotype.Service;
import org.springframework.util.Assert;

import java.util.List;
/**
 * 故障规则业务实现层
 * @Author: chenruijia
 * @Date 2024/9/28 12.19
 * @Description FaultrRuleServiceImpl:故障规则业务实现层
 */
@Service
public class FaultrRuleServiceImpl extends ServiceImpl<FaultrRuleMapper, FaultRule> implements FaultrRuleService {

    @Override
    public List<FaultRule> faultRuleList(FaultRule faultrRule) {
        LambdaQueryWrapper<FaultRule> queryWrapper = new LambdaQueryWrapper<>();
        if (StringUtils.isNotEmpty(faultrRule.getFaultRuleName())) {
            queryWrapper.eq(FaultRule::getFaultRuleName,faultrRule.getFaultRuleName());
        }
        if (StringUtils.isNotEmpty(faultrRule.getFaultRuleParameter())) {
            queryWrapper.eq(FaultRule::getFaultRuleParameter,faultrRule.getFaultRuleParameter());
        }
        return this.list(queryWrapper);
    }

    @Override
    public FaultRule byidRuleId(Long faultRuleId) {
        LambdaQueryWrapper<FaultRule> queryWrapper = new LambdaQueryWrapper<>();
        Assert.notNull(faultRuleId, "规则ID不可为空");
        queryWrapper.eq(FaultRule::getFaultRuleId, faultRuleId);
        return this.getOne(queryWrapper);
    }
}
